| ## Text Encoding Initiative
### The XML Version of the TEI Guidelines # <sourceDesc>

`<sourceDesc>` | supplies a bibliographic description of the copy text(s) from which an electronic text was derived or generated.
Attributes | Global attributes and those inherited from declarable
Example |
    <sourceDesc>
       <p>No source: created in machine-readable form.</p>
    </sourceDesc>
Module | Declared in file teihdr2; Core tag sets: enabled when any TEI base is enabled
Class | declarable
May contain | bibl biblFull biblStruct listBibl p recordingStmt scriptStmt
May occur within | biblFull fileDesc
Declaration |
    <!ELEMENT sourceDesc %om.RR; (p | bibl | biblFull | biblStruct
    | listBibl | scriptStmt | recordingStmt )+ >
    <!ATTLIST sourceDesc
          %a.global;
          %a.declarable;>
See further | 5.2.7 The Source Description

Up: 35 Elements